Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 600378 - dev-util/pkgconfig: build failure with gcc 6.2
Summary: dev-util/pkgconfig: build failure with gcc 6.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal blocker (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on: 629968
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-11-21 07:36 UTC by Wallance
Modified: 2018-01-23 03:14 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
This is the patch I used to solve the problem (pkgconfig-gcc6.patch,531 bytes, patch)
2016-11-21 07:36 UTC, Wallance
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wallance 2016-11-21 07:36:44 UTC
Created attachment 453964 [details, diff]
This is the patch I used to solve the problem

dev-util/pkgconfig builds failure with gcc 6.2.
It just builds fail at glib/glib/gdate.c, because of Wformat-nonliteral,
So I want to gcc to ignore this as a workaround.
Comment 1 Felix Janda 2016-11-21 11:45:29 UTC
https://bugzilla.gnome.org/761550

is the relevant upstream bug for glib, according to which the currently
suggested patch would break compilation with older gcc. upstream fixed
this with

https://git.gnome.org/browse/glib/commit/?id=8cdbc7fb2c8c876902e457abe46ee18a0b134486
Comment 2 Wallance 2016-11-21 12:01:34 UTC
(In reply to Felix Janda from comment #1)
> https://bugzilla.gnome.org/761550
> 
> is the relevant upstream bug for glib, according to which the currently
> suggested patch would break compilation with older gcc. upstream fixed
> this with
> 
> https://git.gnome.org/browse/glib/commit/
> ?id=8cdbc7fb2c8c876902e457abe46ee18a0b134486
 Can we have a wrapper of strftime or just patch when build with gcc6.
Comment 3 Seong-ho Cho 2017-01-06 02:51:40 UTC
Patch works for me.

It's better 

1) to apply patch as soon as possible until next version is released.

or 

2) tell us that we just wait w/o applying patch 'IF' next version of pkgconfig will be released at soon.
Comment 4 Joshua Kinard gentoo-dev 2017-01-15 18:46:20 UTC
(In reply to Seong-ho Cho from comment #3)
> Patch works for me.
> 
> It's better 
> 
> 1) to apply patch as soon as possible until next version is released.
> 
> or 
> 
> 2) tell us that we just wait w/o applying patch 'IF' next version of
> pkgconfig will be released at soon.

I'd vote to apply this to our current pkgconfig ebuild.  I started MIPS catalyst runs over the weekend, and had to fight around this, since I am basing on gcc-6.3.  I checked upstream, and no sign of a new release yet.
Comment 5 dolphinling 2017-02-10 10:56:26 UTC
For anyone investigating if they can put their own system on gcc-6:

This is only a problem when pkgconfig is compiled with USE="internal-glib". That seems to happen only during bootstrap or with uclibc, so if you haven't changed that use flag yourself, this problem may not affect you.
Comment 6 Mike Gilbert gentoo-dev 2017-09-25 17:45:27 UTC
I think this is fixed dev-util/pkgconfig-0.29.2.
Comment 7 Andreas K. Hüttel gentoo-dev 2017-09-26 18:18:03 UTC
(In reply to dolphinling from comment #5)
> For anyone investigating if they can put their own system on gcc-6:
> 
> This is only a problem when pkgconfig is compiled with USE="internal-glib".
> That seems to happen only during bootstrap or with uclibc, so if you haven't
> changed that use flag yourself, this problem may not affect you.

OK. Definitely not blocking gcc-6 stabilization.